Subject: bug#45894: AW: bug#45894: Bug report for preview-latex

From: "Bruckmann, Tobias" <[email-masked]>
Date: Sun, 14 Feb 2021 16:17:12 +0000

Dear all,

I am not sure whether the status of my bug report:
Is there any chance this will be resolved, or is it only of minor relevance?

I would be grateful for any quick comment...

Thanks and best wishes,
Tobias

-----Ursprüngliche Nachricht-----
Von: Bruckmann, Tobias 
Gesendet: Sonntag, 17. Januar 2021 13:47
An: 'Ikumi Keita' <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Betreff: AW: bug#45894: Bug report for preview-latex

Thanks! 
Please let me know in case I can support the clarification of the bug.

-----Ursprüngliche Nachricht-----
Von: Ikumi Keita <[email-masked]> 
Gesendet: Sonntag, 17. Januar 2021 06:58
An: [email-masked]
Cc: Bruckmann, Tobias <[email-masked]>; [email-masked];
[email-masked]
Betreff: Re: bug#45894: Bug report for preview-latex

Hi David,

Could you please take care of bug#44578[1], reported by Ulrike Fischer?
It seems that that bug is responsible for bug#45894, skimming over the
correspondence between Tobias and Ulrike[2].

In addition, the following simple document fails at preview-latex when
TeX-PDF-mode is nil and preview-image-type is `png', although I'm not sure
whether this is related or not. (The two math fragments "\(a\)" and "\(b\)"
both don't render as images but instead "Do not enter" signs appear beside
them.)

In summary, it seems that latex+dvips+gs has low compatibility with
preview.sty by recent changes in LaTeX core.

Best regards,
Ikumi Keita

----------------------------------------------------------------------
\documentclass{article}
\usepackage{tikz}

\begin{document}

\begin{itemize}
\item \(a\)
\item \(b\)
\end{itemize}

% pdflatex+pdf2dsc+gs OK
% latex+dvipng        OK
% latex+dvips+gs      NG

\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:
----------------------------------------------------------------------

[1] https://debbugs.gnu.org/44578
[2]
https://tex.stackexchange.com/questions/570404/pdflatex-fails-on-pstool-when
-hyperref-is-included

>>>>> "Bruckmann, Tobias" <[email-masked]> writes:
> Dear Sir or Madam,
> I reported a bug on github, and the maintainers advised me to inform 
> the authors of preview-latex:

>  <https://github.com/latex3/hyperref/issues/166> pdfLaTeX fails on 
> pstool when hyperref is included · Issue #166 · latex3/hyperref 
> (github.com). The original bug report, a minimum example and all 
> needed files are posted there.

> I would be absolutely willing to support the clarification of the issue.
> Please inform me how to formally submit the bug report.

> Thanks and best wishes,

> Tobias Bruckmann